Subject: question about parallel running of charmm

From: wei <[email-masked]>
Date: Mon, 6 Jan 2003 14:20:38 -0500

Hi, all:

I want to do a parallel running of charmm on a beowulf cluster with 16 nodes. the queing system is openpbs, I attached the job file, machine file and charmm input file at 
the end.

after I type "qsub job", the job seems to be running well, while I type "pbsnodes -a | less", it gave out following output:
**********************************
node008
     state = free
     np = 2
     properties = p8
     ntype = cluster
     jobs = 0/5501.pauli

node009
     state = free
     np = 2
     properties = p8
     ntype = cluster
     jobs = 0/5501.pauli

node010
     state = free
     np = 2
     properties = p8
     ntype = cluster
     jobs = 0/5501.pauli

node011
     state = free
     np = 2
     properties = p8
     ntype = cluster
     jobs = 0/5501.pauli

node012
     state = free
     np = 2
     properties = p8
     ntype = cluster
     jobs = 0/5501.pauli

node013
     state = free
     np = 2
     properties = p8
     ntype = cluster
     jobs = 0/5501.pauli

node014
     state = free
     np = 2
     properties = p8
     ntype = cluster
     jobs = 0/5501.pauli

node015
     state = free
     np = 2
     properties = p8
     ntype = cluster
     jobs = 0/5501.pauli
***********************************************

 however,when I go to every single machine to check the status, I found that this work is only running on node015. Can anybody give me some hint for what is going on here,
is this the right way to run charmm parallelly?

regards
wei zhuang

attachment:

1)job file: (gpcharmm is a parallel version executable of charmm )
************************************
#PBS -l ncpus=8
#PBS -N BCL
#PBS -q feed
#PBS -l nodes=8:p8
#PBS -l cput=100:00:00,mem=512mb
#
cd $PBS_O_WORKDIR
cp $PBS_NODEFILE tmpfile
/usr/local/bin/creator tmpfile macfile /usr/local/bin/gpcharmm
rm tmpfile

/usr/local/bin/gpcharmm -p4pg macfile < xxxx.inp >xxxx.out
************************************************

2)machine file:

*******************************************
node015  0
node014  1  /usr/local/bin/gpcharmm
node013  1  /usr/local/bin/gpcharmm
node012  1  /usr/local/bin/gpcharmm
node011  1  /usr/local/bin/gpcharmm
node010  1  /usr/local/bin/gpcharmm
node009  1  /usr/local/bin/gpcharmm
node008  1  /usr/local/bin/gpcharmm
*******************************************8

3)input file:
*******************************************
* This is the input file for the modelling and simulation of 
* ANTAMANIDE in chloroform
*

!====================================================
! define data directory and output directory
!=====================================================

set 0 /home/shiva/data     !input data directory
set 9 /home/shiva/scratch   ! scratch directory
set cutoff 10.0
bomblev -2

open read form unit 43 name @0xxx.rtf
read rtf card unit 43
close unit 43
open read form unit 2 name @0xxx.prm
read parameter card unit 2
close unit 2

!=======================================================
!Generate PSF 
!========================================================

......................................

!========================================
! Write out formatted PSF 
!======================================== 
OPEN UNIT 33 CARD WRITE NAME /home/shiva/xxx.psf
WRITE PSF CARD UNIT 33
CLOSE UNIT 33

!=====================================
! Read the coordinate file
!====================================

OPEN UNIT 37 CARD READ NAME /home/shiva/crd/xxx.pdb
READ COOR pdb UNIT 37
CLOSE UNIT 37
COOR PRINT

!MINIMIZE THE STRUCTURE

NBONDS CUTNb 12.0 CTOFnb 10.0 CTONnb 8.0 

! impose periodic boundary conditions:

set L  30

crystal define cubic @L @L @L 90.0 90.0 90.0
crystal build noper 0 cutoff 14.0

image byres XCEN 0.0 YCEN 0.0 ZCEN 0.0 select segid SOLV end
update inbfrq 10 imgfrq 10

mini abnr nstep 100000 nprint 200

open write card unit 11 name @0xxx.pdb
write coor pdb card unit 11
close unit 11

OPEN UNIT 38 CARD WRITE NAME @0.crd
WRITE COOR CARD UNIT 38
CLOSE UNIT 38

stop
*********************************************************8888